Signatures
Get a signature request
Retrieve the full details of a single signature request by ID.
GET
/
v2
/
requests
/
{signatureRequestId}
Get a signature request
curl --request GET \
--url https://api.slate.inc/signatures/v2/requests/{signatureRequestId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slate.inc/signatures/v2/requests/{signatureRequestId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slate.inc/signatures/v2/requests/{signatureRequestId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdOn": "2023-11-07T05:31:56Z",
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matterReference": "<string>",
"preparedBy": "<string>",
"preparedOn": "2023-11-07T05:31:56Z",
"firmId": "<string>",
"templates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"displayName": "<string>",
"signatureRequired": true,
"notaryRequired": true
}
]
},
"completedOn": "2023-11-07T05:31:56Z",
"signedBy": "<string>",
"notarizedBy": "<string>",
"completedFileUrl": "<string>",
"document": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"matterReference": "<string>",
"preparedBy": "<string>",
"preparedOn": "2023-11-07T05:31:56Z",
"firmId": "<string>",
"templates": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"displayName": "<string>",
"signatureRequired": true,
"notaryRequired": true
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Cognito-issued JWT access token. Send it as Authorization: Bearer <token>.
Path Parameters
Response
Signature request details retrieved successfully.
Unique identifier for the signature request.
Timestamp when the signature request was created.
Show child attributes
Show child attributes
Timestamp when the signature request was completed.
The user ID that signed the document.
Minimum string length:
1The user ID that notarized the document.
Minimum string length:
1A URL where the completed file can be downloaded from.
Minimum string length:
1Deprecated — use file. Retained for backwards compatibility.
Show child attributes
Show child attributes
⌘I
Get a signature request
